import { UserConfig, CLIOptions, ConnectorConfig, HintsConfigObject } from './types';
export declare class Configuration {
    readonly browserslist: Array<string>;
    readonly connector: ConnectorConfig;
    readonly formatters: Array<string>;
    readonly ignoredUrls: any;
    readonly parsers: Array<string>;
    readonly hints: HintsConfigObject;
    readonly hintsTimeout: number;
    readonly extends: Array<string>;
    private constructor();
    private static cleanHints;
    static loadBrowsersList(config: UserConfig): any;
    static loadConfigFile(filePath: string): UserConfig;
    static toAbsolutePaths(config: UserConfig, configRoot: string): UserConfig;
    static fromConfig(config: UserConfig, actions?: CLIOptions): Configuration;
    static validateHintsConfig(config: Configuration): {
        invalid: any[];
        valid: any[];
    };
    static fromFilePath(filePath: string, actions: CLIOptions): Configuration;
    static getFilenameForDirectory: (directory: string) => string;
}
