"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schema_validator_1 = require("../utils/schema-validator");
const debug_1 = require("../utils/debug");
const logger = require("../utils/logging");
const debug = debug_1.debug(__filename);
const schema = require('./config-schema.json');
exports.validateConfig = (config) => {
    debug('Validating configuration');
    if (!schema_validator_1.validate(schema, config).valid) {
        logger.error('Configuration schema is not valid');
        return false;
    }
    return true;
};
