/// <reference types="node" />
import { URL } from 'url';
import { Engine } from './engine';
import { IAsyncHTMLElement, NetworkData, ProblemLocation, HintMetadata, Severity } from './types';
export declare class HintContext {
    private id;
    private options;
    private meta;
    private severity;
    private engine;
    constructor(hintId: string, engine: Engine, severity: Severity, options: any, meta: HintMetadata);
    readonly pageDOM: object;
    readonly pageContent: Promise<string>;
    readonly pageHeaders: object;
    readonly targetedBrowsers: Array<string>;
    readonly hintOptions: any;
    evaluate(source: string): Promise<any>;
    fetchContent(target: string | URL, headers?: object): Promise<NetworkData>;
    querySelectorAll(selector: string): Promise<Array<IAsyncHTMLElement>>;
    findInElement(element: IAsyncHTMLElement, content: string): Promise<ProblemLocation>;
    findProblemLocation(element: IAsyncHTMLElement, content?: string): Promise<ProblemLocation>;
    report(resource: string, element: IAsyncHTMLElement | null, message: string, content?: string, location?: ProblemLocation, severity?: Severity, codeSnippet?: string): Promise<void>;
    on(event: any, listener: any): void;
}
