import { IFormatterConstructor } from './types/formatters';
import { IConnectorConstructor } from './types/connector';
import { IParserConstructor } from './types/parser';
import { IHintConstructor } from './types/hints';
export * from './types/async-html';
export * from './types/connector';
export * from './types/events';
export * from './types/formatters';
export * from './types/network';
export * from './types/problems';
export * from './types/hints';
export * from './types/parser';
export * from './types/schema-validation-result';
export declare type HintConfig = number | string | [number | string, any];
export declare type HintsConfigObject = {
    [key: string]: HintConfig | Array<HintConfig>;
};
export declare type ConnectorOptionsConfig = {
    waitFor?: number;
    watch?: boolean;
};
export declare type ConnectorConfig = {
    name: string;
    options?: ConnectorOptionsConfig;
};
export declare type IgnoredUrl = {
    domain: string;
    hints: Array<string>;
};
export declare type UserConfig = {
    connector?: ConnectorConfig | string;
    extends?: Array<string>;
    parsers?: Array<string>;
    hints?: HintsConfigObject | Array<[string, HintConfig]>;
    browserslist?: string | Array<string>;
    hintsTimeout?: number;
    formatters?: Array<string>;
    ignoredUrls?: Array<IgnoredUrl>;
};
export declare type Resource = IConnectorConstructor | IFormatterConstructor | IHintConstructor;
export declare type CLIOptions = {
    _: Array<string>;
    config: string;
    debug: boolean;
    format: string;
    help: boolean;
    init: boolean;
    ['output-file']: string;
    version: boolean;
    watch: boolean;
    formatters: string;
    hints: string;
};
export declare type ORA = {
    start(): void;
    succeed(): void;
    fail(): void;
    text: string;
};
export declare type NpmMaintainer = {
    email: string;
    username: string;
};
export declare type NpmPackage = {
    date: Date;
    description: string;
    keywords: Array<string>;
    maintainers: Array<NpmMaintainer>;
    name: string;
    version: string;
};
export declare type HintResources = {
    connector: IConnectorConstructor;
    formatters: Array<IFormatterConstructor>;
    incompatible: Array<string>;
    missing: Array<string>;
    parsers: Array<IParserConstructor>;
    hints: Array<IHintConstructor>;
};
