/// <reference types="node" />
import * as url from 'url';
import { IAsyncHTMLElement } from './async-html';
import { NetworkData } from './network';
import { Engine } from '../engine';
export interface IConnectorConstructor {
    new (server: Engine, config: object, launcher?: ILauncher): IConnector;
}
export interface IConnector {
    dom?: object;
    html?: Promise<string>;
    headers?: object;
    collect(target: url.URL): Promise<any>;
    close(): Promise<void>;
    fetchContent?(target: url.URL | string, customHeaders?: object): Promise<NetworkData>;
    evaluate?(code: string): Promise<any>;
    querySelectorAll?(query: string): Promise<Array<IAsyncHTMLElement>>;
}
export declare type BrowserInfo = {
    isNew?: boolean;
    pid: number;
    port: number;
};
export interface ILauncher {
    launch(url: string, options?: any): Promise<BrowserInfo>;
}
export declare type LauncherOptions = {
    defaultProfile?: boolean;
    flags?: string[];
    port?: number;
};
