import { IAsyncHTMLElement } from './async-html';
import { Request, Response } from './network';
export declare type Event = {
    resource: string;
};
export declare type ErrorEvent = Event & {
    error: Error;
};
export declare type ScanStart = Event;
export declare type ScanEnd = Event;
export declare type FetchEnd = Event & {
    element: IAsyncHTMLElement;
    request: Request;
    response: Response;
};
export declare type FetchError = Event & {
    element: IAsyncHTMLElement;
    error: any;
    hops: Array<string>;
};
export declare type FetchStart = Event;
export declare type TraverseStart = Event;
export declare type TraverseEnd = Event;
export declare type TraverseUp = Event & {
    element: IAsyncHTMLElement;
};
export declare type TraverseDown = Event & {
    element: IAsyncHTMLElement;
};
export declare type ElementFound = Event & {
    element: IAsyncHTMLElement;
};
export declare type CanEvaluateScript = Event;
