import { IAsyncHTMLDocument, IAsyncHTMLElement } from './async-html';
export declare class JSDOMAsyncHTMLDocument implements IAsyncHTMLDocument {
    private _document;
    constructor(document: HTMLDocument);
    querySelectorAll(selector: string): Promise<Array<JSDOMAsyncHTMLElement>>;
    pageHTML(): Promise<string>;
}
export declare class JSDOMAsyncHTMLElement implements IAsyncHTMLElement {
    protected _htmlelement: HTMLElement;
    private _ownerDocument;
    constructor(htmlelement: HTMLElement);
    getAttribute(name: string): string;
    isSame(element: JSDOMAsyncHTMLElement): boolean;
    outerHTML(): Promise<string>;
    readonly attributes: NamedNodeMap;
    readonly nodeName: string;
    readonly ownerDocument: IAsyncHTMLDocument;
}
