export declare enum Severity {
    off = 0,
    warning = 1,
    error = 2
}
export declare type ProblemLocation = {
    column: number;
    line: number;
    elementColumn?: number;
    elementLine?: number;
};
export declare type Problem = {
    location: ProblemLocation;
    message: string;
    sourceCode: string;
    resource: string;
    hintId: string;
    severity: Severity;
};
