/// <reference types="node" />
import { IAsyncHTMLElement } from '../types';
import getFileExtension from './fs/file-extension';
declare const determineMediaTypeForScript: (element: IAsyncHTMLElement) => string;
declare const determineMediaTypeBasedOnFileExtension: (resource: string) => string;
declare const determineMediaTypeBasedOnFileName: (resource: string, rawContent: Buffer) => string;
declare const getContentTypeData: (element: IAsyncHTMLElement, resource: string, headers: any, rawContent: Buffer) => {
    charset: string;
    mediaType: any;
};
declare const isTextMediaType: (mediaType: string) => boolean;
declare const getType: (mediaType: string) => "image" | "script" | "unknown" | "font" | "manifest" | "json" | "html" | "css" | "xml" | "txt";
export { determineMediaTypeBasedOnFileExtension, determineMediaTypeBasedOnFileName, determineMediaTypeForScript, getContentTypeData, getFileExtension, getType, isTextMediaType };
