"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const d = require("debug");
const debugEnabled = (process.argv.includes('--debug'));
if (debugEnabled) {
    d.enable('hint:*');
}
exports.debug = (filePath) => {
    let output = path.basename(filePath, path.extname(filePath));
    let dirPath = path.dirname(filePath);
    let currentDir = path.basename(dirPath);
    while (currentDir && currentDir !== 'lib') {
        if (currentDir !== output) {
            output = `${currentDir}:${output}`;
        }
        dirPath = path.join(dirPath, '..');
        currentDir = path.basename(dirPath);
    }
    if (output === 'hint') {
        output = 'engine';
    }
    return d(`hint:${output}`);
};
