"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const find_package_root_1 = require("./packages/find-package-root");
exports.toLowerCase = (list) => {
    return list.map((e) => {
        return e.toLowerCase();
    });
};
exports.getIncludedHeaders = (headers, headerList = []) => {
    const result = [];
    const list = exports.toLowerCase(headerList);
    for (const key of Object.keys(headers)) {
        const lowercaseKey = key.toLowerCase();
        if (list.includes(lowercaseKey)) {
            result.push(lowercaseKey);
        }
    }
    const shortedResult = result.sort();
    return shortedResult;
};
exports.getHintPath = (name, multihint) => {
    const dir = path_1.dirname(name);
    const root = find_package_root_1.default(dir);
    if (multihint) {
        const hintName = path_1.basename(name);
        return path_1.resolve(dir, `../src/${hintName}`);
    }
    return require.resolve(root);
};
exports.mergeIgnoreIncludeArrays = (originalArray, ignoreArray = [], includeArray = []) => {
    let result = exports.toLowerCase(originalArray);
    const include = exports.toLowerCase(includeArray);
    const ignore = exports.toLowerCase(ignoreArray);
    include.forEach((e) => {
        if (!result.includes(e)) {
            result.push(e);
        }
    });
    result = result.filter((e) => {
        return !ignore.includes(e);
    });
    return result;
};
