"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const content_type_1 = require("content-type");
const is_local_file_1 = require("./is-local-file");
exports.default = (targetURL, responseHeaders) => {
    if (is_local_file_1.default(targetURL)) {
        return true;
    }
    const contentTypeHeaderValue = responseHeaders['content-type'];
    let mediaType;
    try {
        mediaType = content_type_1.parse(contentTypeHeaderValue).type;
    }
    catch (e) {
        return false;
    }
    return mediaType === 'text/html';
};
