"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const debug_1 = require("../debug");
const normalize_string_1 = require("../misc/normalize-string");
const debug = debug_1.debug(__filename);
const protocolRegex = /([^:]*):.*/;
exports.default = (uri) => {
    const normalizedUri = normalize_string_1.default(uri);
    const exec = protocolRegex.exec(normalizedUri);
    const protocol = exec ? exec[1] : null;
    if (![null, 'http', 'https'].includes(protocol)) {
        debug(`Ignore protocol: ${protocol}`);
        return false;
    }
    return true;
};
