"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const findPackageRoot = (dirname = __dirname, fileToFind = 'package.json') => {
    const content = fs_1.readdirSync(dirname);
    if (content.includes(fileToFind)) {
        return dirname;
    }
    const parentFolder = path_1.resolve(dirname, '..');
    if (parentFolder === dirname) {
        throw new Error('No package found');
    }
    return findPackageRoot(parentFolder, fileToFind);
};
exports.default = findPackageRoot;
