# Hints categories

* [Accessibility (a11y)](#accessibility)
* [Development](#development)
* [Interoperability](#interoperability)
* [Other](#other)
* [Performance](#performance)
* [PWAs](#pwas)
* [Security](#security)

## Accessibility

* [`axe`](../../../../hint-axe/README.md)

## Development

* [`babel-config`](../../../../hint-babel-config/README.md)
* [`typescript-config`](../../../../hint-typescript-config/README.md)
* [`webpack-config`](../../../../hint-webpack-config/README.md)

## Interoperability

* [`content-type`](../../../../hint-content-type/README.md)
* [`highest-available-document-mode`](../../../../hint-highest-available-document-mode/README.md)
* [`html-checker`](../../../../hint-html-checker/README.md)
* [`meta-charset-utf-8`](../../../../hint-meta-charset-utf-8/README.md)
* [`meta-viewport`](../../../../hint-meta-viewport/README.md)
* [`no-bom`](../../../../hint-no-bom/README.md)
* [`no-friendly-error-pages`](../../../../hint-no-friendly-error-pages/README.md)
* [`no-p3p`](../../../../hint-no-p3p/README.md)
* [`stylesheet-limits`](../../../../hint-stylesheet-limits/README.md)

## Other

* [`no-broken-links`](../../../../hint-no-broken-links)

## Performance

* [`amp-validator`](../../../../hint-amp-validator/README.md)
* [`http-cache`](../../../../hint-http-cache/README.md)
* [`http-compression`](../../../../hint-http-compression/README.md)
* [`image-optimization-cloudinary`](../../../../hint-image-optimization-cloudinary/README.md)
* [`no-html-only-headers`](../../../../hint-no-html-only-headers/README.md)
* [`no-http-redirects`](../../../../hint-no-http-redirects/README.md)

## PWAs

* [`apple-touch-icons`](../../../../hint-apple-touch-icons/README.md)
* [`manifest-app-name`](../../../../hint-manifest-app-name/README.md)
* [`manifest-exists`](../../../../hint-manifest-exists/README.md)
* [`manifest-file-extension`](../../../../hint-manifest-file-extension/README.md)
* [`meta-theme-color`](../../../../hint-meta-theme-color/README.md)

## Security

* [`disown-opener`](../../../../hint-disown-opener/README.md)
* [`no-disallowed-headers`](../../../../hint-no-disallowed-headers/README.md)
* [`no-protocol-relative-urls`](../../../../hint-no-protocol-relative-urls/README.md)
* [`no-vulnerable-javascript-libraries`](../../../../hint-no-vulnerable-javascript-libraries/README.md)
* [`sri`]( ../../../../hint-sri/README.md)
* [`ssllabs`](../../../../hint-ssllabs/README.md)
* [`strict-transport-security`](../../../../hint-strict-transport-security/README.md)
* [`validate-set-cookie-header`](../../../../hint-validate-set-cookie-header/README.md)
* [`x-content-type-options`](../../../../hint-x-content-type-options/README.md)
